#1910 closed defect (wontfix)

An option for architecture-specific SMP locks

Reported by: Marta Rybczynska Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: jennifer.averett@…, sebastian.huber@…, gedare@…, fred@… Blocked By:
Blocking:

Description

This patch adds an option (in cpu.h) for architecture-specific SMP locks data types and implementation. It adds two defines CPU_USE_GENERIC_SMPLOCK_TYPES and CPU_USE_GENERIC_SMPLOCK_CODE. If they are set to TRUE, the default implementation is used. Otherwise, the architecture can define their own handling.

Rationale: not all architectures have compare-and-swap directly or the instruction set may not fit the default model for any other reason.

The default cpu.h has been also modified, as well as the files for sparc and i386.

Attachments (3)

smplocks_modular.patch (3.4 KB) - added by Marta Rybczynska on Sep 8, 2011 at 8:58:14 AM.
Configurable SMP locks implementation
flush.patch (755 bytes) - added by Marta Rybczynska on Nov 7, 2011 at 5:28:50 PM.
Addition of flush operations
smplock_patch.patch (1.5 KB) - added by Marta Rybczynska on Nov 9, 2011 at 8:44:19 AM.
Updated patch

Download all attachments as: .zip

Change History (10)

Changed on Sep 8, 2011 at 8:58:14 AM by Marta Rybczynska

Attachment: smplocks_modular.patch added

Configurable SMP locks implementation

comment:1 Changed on Oct 27, 2011 at 11:08:28 PM by Gedare Bloom

blocked: 1946

comment:2 Changed on Oct 28, 2011 at 3:15:53 PM by Sebastian Huber

Cc: Sebastian Huber added

comment:3 Changed on Oct 28, 2011 at 3:34:14 PM by Gedare Bloom

Cc: giddyup44@… added

comment:4 Changed on Nov 2, 2011 at 2:36:41 PM by Joel Sherrill

Cc: Jennifer Averett added

Changed on Nov 7, 2011 at 5:28:50 PM by Marta Rybczynska

Attachment: flush.patch added

Addition of flush operations

Changed on Nov 9, 2011 at 8:44:19 AM by Marta Rybczynska

Attachment: smplock_patch.patch added

Updated patch

comment:5 Changed on Nov 9, 2011 at 8:44:19 AM by Marta Rybczynska

attachments.isobsolete: 01, 1

comment:6 Changed on Dec 3, 2013 at 2:22:25 PM by Sebastian Huber

Resolution: wontfix
Status: newclosed

The RTEMS SMP implementation changed considerably in the mean time.

comment:7 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.